### robocode.control

# Class BattlefieldSpecification

- `java.lang.Object`
- - `robocode.control.BattlefieldSpecification`

Implemented Interfaces:
  Serializable

`public class BattlefieldSpecification`
`extends Object`
`implements Serializable`

Defines the size of a battlefield, which is a part of the `BattleSpecification`.

Authors:
  Mathew A. Nelson (original)
  Flemming N. Larsen (contributor)

See Also:
  `BattleSpecification.BattleSpecification(int,BattlefieldSpecification,RobotSpecification[])`, `BattleSpecification.BattleSpecification(int,long,double,BattlefieldSpecification,RobotSpecification[])`, `BattleSpecification.getBattlefield()`, Serialized Form

  ## Constructor Summary

  `BattlefieldSpecification()`
    Creates a standard 800 x 600 battlefield.

  `BattlefieldSpecification(int width, int height)`
    Creates a battlefield of the specified width and height.

  ## Method Summary

  `int`

  `getHeight()`
    Returns the height of this battlefield.

  `int`

  `getWidth()`
    Returns the width of this battlefield.

## Constructor Details

### BattlefieldSpecification

    public BattlefieldSpecification()

> Creates a standard 800 x 600 battlefield.

### BattlefieldSpecification

    public BattlefieldSpecification(int width,
                                    int height)

> Creates a battlefield of the specified width and height.
> Parameters:
>   `width` - the width of the battlefield, where 400 >= width <325000.
>   `height` - the height of the battlefield, where 400 >= height <325000.

## Method Details

### getHeight

    public int getHeight()

> Returns the height of this battlefield.
> Returns:
>   the height of this battlefield.

### getWidth

    public int getWidth()

> Returns the width of this battlefield.
> Returns:
>   the width of this battlefield.